#import "@preview/diatypst:0.2.0": *

#show: slides.with(
  title: "Formation Gargantext",
  subtitle: "Institut des Systèmes Complexes",
  date: "14 novembre 2024",
  authors: ("Grégoire Locqueville"),

  // Optional Styling
  ratio: 16/9,
  layout: "medium",
  title-color: rgb(40, 40, 80),
  footer: true,
  count: false,
  toc: false,
)

= Qu'est-ce que Gargantext ?

== Un Environnement de travail

- Collaboratif
- Décentralisé
- Pour la cartographie des connaissances

= Le Flow Gargantext

== Le Flow Gargantext

#figure(
  image("flow0.svg", width: 80%)
)

== Le Flow Gargantext

#figure(
  image("flow1.svg", width: 80%)
)

== Le Flow Gargantext

#figure(
  image("flow2.svg", width: 80%)
)

== Le Flow Gargantext

#figure(
  image("flow3.svg", width: 80%)
)

== Le Flow Gargantext

#figure(
  image("flow4.svg", width: 80%)
)

== Le Flow Gargantext

#figure(
  image("flow5.svg", width: 80%)
)

= Contextes

== Contextes

#figure(
  image("flow2.svg", width: 80%)
)

== Contextes

/ *Contexte*: *Petite portion de texte* extrait d'un corpus au sein de laquelle on
              considère que les termes qui apparaissent sont *liés sémantiquement*

- Aussi appelés *documents* (ou *Docs*) dans Gargantext
- Longueur typique : un paragraphe
- Certains corpus sont *naturellement séparés* en unités de contexte :
  - Publications sur les réseaux sociaux
  - Fuites d'emails
  - Résumés d'articles scientifiques
- Pour d'autres, il faut *diviser artificiellement* le texte du corpus :
  - Livres
  - Rapports

== Contextes : segmentation d'un corpus

- Découpage du texte selon une *fenêtre glissante*
- Longueur typique : 7 à 9 phrases

== Contextes : segmentation d'un corpus

- Découpage du texte selon une *fenêtre glissante*
- Longueur typique : 7 à 9 phrases

#[
#set text(style: "italic", size: 8pt)
#show emph: it => text(blue, it.body)
#lorem(30) #lorem(30) #lorem(30) #lorem(30) #lorem(30) #lorem(30) #lorem(30) #lorem(30) #lorem(30) #lorem(30)
]

== Contextes : segmentation d'un corpus

- Découpage du texte selon une *fenêtre glissante*
- Longueur typique : 7 à 9 phrases

#[
#set text(style: "italic", size: 8pt)
#show emph: it => text(blue, it.body)
#emph([#lorem(30) #lorem(30) #lorem(30) #lorem(30) ])#lorem(30) #lorem(30) #lorem(30) #lorem(30) #lorem(30) #lorem(30)
]

== Contextes : segmentation d'un corpus

- Découpage du texte selon une *fenêtre glissante*
- Longueur typique : 7 à 9 phrases

#[
#set text(style: "italic", size: 8pt)
#show emph: it => text(blue, it.body)
#lorem(30) #emph([#lorem(30) #lorem(30) #lorem(30) #lorem(30) ])#lorem(30) #lorem(30) #lorem(30) #lorem(30) #lorem(30)
]

== Contextes : segmentation d'un corpus

- Découpage du texte selon une *fenêtre glissante*
- Longueur typique : 7 à 9 phrases

#[
#set text(style: "italic", size: 8pt)
#show emph: it => text(blue, it.body)
#lorem(30) #lorem(30) #emph([#lorem(30) #lorem(30) #lorem(30) #lorem(30) ])#lorem(30) #lorem(30) #lorem(30) #lorem(30)
]

== Contextes : segmentation d'un corpus

- Découpage du texte selon une *fenêtre glissante*
- Longueur typique : 7 à 9 phrases

#[
#set text(style: "italic", size: 8pt)
#show emph: it => text(blue, it.body)
#lorem(30) #lorem(30) #lorem(30) #emph([#lorem(30) #lorem(30) #lorem(30) #lorem(30) ])#lorem(30) #lorem(30) #lorem(30)
]

== Contextes : segmentation d'un corpus

- Découpage du texte selon une *fenêtre glissante*
- Longueur typique : 7 à 9 phrases

#[
#set text(style: "italic", size: 8pt)
#show emph: it => text(blue, it.body)
#lorem(30) #lorem(30) #lorem(30) #lorem(30) #emph([#lorem(30) #lorem(30) #lorem(30) #lorem(30) ])#lorem(30) #lorem(30)
]

= Termes / Ngrams

== Termes / Ngrams

#figure(
  image("flow3.svg", width: 80%)
)

== Termes / Ngrams

/ *Terme / Ngram*: Suite de *quelques mots* (1 à 4)

- *Unités de sens élémentaires* sur lesquelles sont basées les visualisation de Gargantext
- Enjeu : parmi tous les Ngrams qui apparaissent dans un corpus donné, trouver
  ceux qui sont le plus *représentatifs* du corpus dans sa singularité

== Termes / Ngrams

/ *Terme / Ngram*: Suite de *quelques mots* (1 à 4)

- *Unités de sens élémentaires* sur lesquelles sont basées les visualisation de Gargantext
- Enjeu : parmi tous les Ngrams qui apparaissent dans un corpus donné, trouver
  ceux qui sont le plus *représentatifs* du corpus dans sa singularité

#v(30pt)

#text(red, [Le choix de ces Ngrams représentatifs est capital !])

== Termes / Ngrams

#figure(
  image("zipf1.svg", width: 70%)
)

== Termes / Ngrams

#figure(
  image("zipf2.svg", width: 70%)
)

== Termes / Ngrams

#figure(
  image("zipf3.svg", width: 70%)
)

== Termes / Ngrams

#figure(
  image("zipf4.svg", width: 70%)
)

== Termes / Ngrams : Les trois listes

- Algorithmes de traitement automatique des langues pour classer certains Ngrams
  du corpus parmi 3 ensembles de Ngrams :
  - La #text(red, [Stop list]) : termes trop génériques
    - _À écarter définitivement_
  - La #text(blue, [Candidate list]) : termes trop spécifiques
    - _Pourraient être utiles dans un autre corpus_
  - La #text(green, [Map list]) : termes qui nous intéressent
    - _Utilisée par Gargantext pour élaborer les visualisations_

= Visualisations

== Visualisations

#figure(
  image("flow4.svg", width: 80%)
)

== Visualisations : Occurence et Cooccurence

/ *Occurence* : d'*un terme* dans un corpus donné : *nombre de contextes* où
                ce terme apparaît

/ *Cooccurence* : de *deux termes* dans un corpus donné : *nombre de contextes*
                  où ces deux termes apparaissent *simultanément*

== Visualisations : Nuage de mots

#figure(
  image("graph1.svg", width: 45%)
)

- Un nœud = un terme / ngram
- Taille des nœuds liée à l'*occurence* du terme dans le corpus

== Visualisations : Graphe

#figure(
  image("graph2.svg", width: 45%)
)

- *Liens* entre les nœuds
- Force du lien liée à la *cooccurence* des termes associés

== Visualisations : Graphe spatialisé

#figure(
  image("graph3.svg", width: 45%)
)

- *Spatialisation* : déplacement des nœuds en fonction de leurs liens
- Plus deux nœuds sont liés, plus ils sont susceptibles de se retrouver proches
- Algorithme *heuristique*
- En *temps réel* dans le navigateur

== Visualisations : Clusters

#figure(
  image("graph4.svg", width: 45%)
)

- Répartition des nœuds dans différents ensembles, les *clusters*
- Nœuds liés -> plus de chances de se retrouver dans le même cluster

== Autres visualisations

- Graphe _Ordre 2_ :
  - Apparence similaire
  - Calcul différent de la *force des liens*
- Phylomémie :
  - Prise en compte de l'évolution des termes au cours du *temps*
  - Suppose que les documents du corpus sont étiquetés temporellement
